Package org.pentaho.reporting.libraries.formula.function

# Interface FunctionRegistry

All Known Implementing Classes:
  `DefaultFunctionRegistry`

public interface FunctionRegistry
The function registry contains all information about all function available. It is also the central point from where to get function meta-data or where to instantiate functions. All functions are queried by their cannonical name.

Author:
  Thomas Morgner

## Method Summary

Modifier and Type
Method
Description
`Function`
`createFunction(String name)`
`FunctionCategory[]`
`getCategories()`
`String[]`
`getFunctionNames()`
`String[]`
`getFunctionNamesByCategory(FunctionCategory category)`
`Function[]`
`getFunctions()`
`Function[]`
`getFunctionsByCategory(FunctionCategory category)`
`FunctionDescription`
`getMetaData(String name)`

## Method Details

### getCategories

FunctionCategory[] getCategories()

### getFunctions

Function[] getFunctions()

### getFunctionsByCategory

Function[] getFunctionsByCategory(FunctionCategory category)

### getFunctionNames

String[] getFunctionNames()

### getFunctionNamesByCategory

String[] getFunctionNamesByCategory(FunctionCategory category)

### createFunction

Function createFunction(String name)

### getMetaData

FunctionDescription getMetaData(String name)